# Class FQZUtils

java.lang.Object
htsjdk.samtools.cram.compression.fqzcomp.FQZUtils

public class FQZUtils extends Object
Utility methods for FQZComp table serialization. Tables (qtab, ptab, dtab, stab) are stored using a two-level run-length encoding scheme where values are sequential from 0.

See Also:
  - `FQZCompEncode.storeArray(java.nio.ByteBuffer, int[], int)`

## Constructor Summary

Constructors
Constructor
Description
`FQZUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`readArray(ByteBuffer inBuffer, int[] table, int size)`
Read a table from a two-level run-length encoded stream.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FQZUtils

public FQZUtils()

## Method Details

### readArray

public static void readArray(ByteBuffer inBuffer, int[] table, int size)
Read a table from a two-level run-length encoded stream. The encoding first stores run lengths for each successive value (0, 1, 2, ...), using 255 as a continuation marker. A second RLE level compresses consecutive identical run-length values.

Parameters:
  `inBuffer` - the input stream to read from
  `table` - output array to populate with decoded values
  `size` - number of elements to decode into the table